Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Class DefaultErrorHandler

    java.lang.Object
      org.apache.batik.svggen.DefaultErrorHandler

All Implemented Interfaces:
  ErrorHandler

    public class DefaultErrorHandler

extends Object
implements ErrorHandler

The `ErrorHandler` interface allows you to specialize how the error will be set on an SVG `Element`.

Constructor Summary
`DefaultErrorHandler()`

Method Summary
`void` | `handleError(SVGGraphics2DIOException ex)` This method handles the `SVGGraphics2DIOException`.
`void` | `handleError(SVGGraphics2DRuntimeException ex)` This method handles the `SVGGraphics2DRuntimeException`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler()

Method Detail

### handleError

    public void handleError(SVGGraphics2DIOException ex)
                     throws SVGGraphics2DIOException

  This method handles the `SVGGraphics2DIOException`. The default implementation re-throws the exception.

  Specified by:
    `handleError` in interface `ErrorHandler`
  Throws:
    `SVGGraphics2DIOException`

### handleError

    public void handleError(SVGGraphics2DRuntimeException ex)
                     throws SVGGraphics2DRuntimeException

  This method handles the `SVGGraphics2DRuntimeException`. The default implementation print the exception message.

  Specified by:
    `handleError` in interface `ErrorHandler`
  Throws:
    `SVGGraphics2DRuntimeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.